Extending Qt Creator Manual | MemberProcessor

Extending Qt Creator Manual 4.5.2

# MemberProcessor Class

(QmlJS::MemberProcessor)

- List of all members, including inherited members

## Public Functions

| MemberProcessor()
virtual | ~MemberProcessor()
virtual bool | processEnumerator(const QString &name, const Value *value)
virtual bool | processGeneratedSlot(const QString &name, const Value *value)
virtual bool | processProperty(const QString &name, const Value *value, const PropertyInfo &propertyInfo)
virtual bool | processSignal(const QString &name, const Value *value)
virtual bool | processSlot(const QString &name, const Value *value)

## Member Function Documentation

### MemberProcessor::MemberProcessor()

Default constructs an instance of MemberProcessor.

### `[virtual]` MemberProcessor::~MemberProcessor()

Destroys the instance of MemberProcessor. The destructor is virtual.

### `[virtual]` bool MemberProcessor::processEnumerator(const QString &name, const Value *value)

### `[virtual]` bool MemberProcessor::processGeneratedSlot(const QString &name, const Value *value)

### `[virtual]` bool MemberProcessor::processProperty(const QString &name, const Value *value, const PropertyInfo &propertyInfo)

### `[virtual]` bool MemberProcessor::processSignal(const QString &name, const Value *value)

### `[virtual]` bool MemberProcessor::processSlot(const QString &name, const Value *value)